Max request body size

Discussion in 'Install/Configuration' started by hkirste, Feb 27, 2013.

  1. hkirste

    hkirste New Member

    Hi, im looking into buying litespeed for two of my servers but i have noticed that the max request body size is too low for my site (1 gb). Is there any way i can increase it to 7 gb?
  2. NiteWave

    NiteWave Administrator

    should be no problem.

    lsws admin console
    ->Server->Tuning
    ->Max Request Body Size (bytes)

    the help text:
    "Max Request Body Size
    Specifies the maximum size of a HTTP request body. For 32Bit OS, 2GB is the hard limit; For 64Bit OS, it is virtually unlimited."
  3. hkirste

    hkirste New Member

    If I increase it more than 1G it says it is an invalid value. I have seen in your documentation that 1Gb is hard limit.
  4. NiteWave

    NiteWave Administrator

    what's your lsws version ? 32-bit OS or 64-bit ?

    you can use "7G" to input.
  5. hkirste

    hkirste New Member

    My lsws version is 64 bit, i have already used 7G, M and normal input (bytes), it says its an invalid value and that it will use the default one. This happends everytime i enter an >1GB value.

    You can see here http://www.litespeedtech.com/docs/webserver/config/tuning/#maxReqBodySize it says 1GB is the hard limit.
  6. NiteWave

    NiteWave Administrator

    thanks for pointing out, we'll fix the document.

    the help text in lsws admin console is the latest.

    your lsws version ? 4.2.1 or 4.1.13 or 4.2.2 or 4.0.20 ?
  7. hkirste

    hkirste New Member

    The problem isn't the help text, is that the wiki document is right. The hard limit is 1GB.

    Is there any way i can increase this for >1gb?
  8. NiteWave

    NiteWave Administrator

    there must be something wrong on your machine.

    I tried to change to 7G on lsws 4.1.13 / 4.2.1 / 4.2.2, no problem at all.
  9. hkirste

    hkirste New Member

    [​IMG]

    I don't think theres something wrong with my machine.
  10. NiteWave

    NiteWave Administrator

    your lsws version ?
  11. hkirste

    hkirste New Member

    Litespeed Web Server Enterprise v4.2.2
  12. NiteWave

    NiteWave Administrator

    check if 32-bit lsws installed ?

    #file /usr/local/lsws/bin/lshttpd.4.2.2
  13. hkirste

    hkirste New Member

    /usr/local/lsws/bin/lshttpd.4.2.2: ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), for GNU/Linux 2.4.0, dynamically linked (uses shared libs), not stripped
  14. NiteWave

    NiteWave Administrator

    really strange. can you PM the server's root access
  15. NiteWave

    NiteWave Administrator

    OK, reproduced on 4.2.2 in our lab's 64-bit linux box as well.
    error message like below always in error_log or error.log every time when restart lsws:
    will report it to our dev. Thanks.
  16. hkirste

    hkirste New Member

    Thanks for your help, please let me know when this is fixed. I really would like to buy litespeed for my two current servers and for more in a future.
  17. webizen

    webizen New Member

    fix is available. do force reinstall 4.2.2 from admin console or '/usr/local/lsws/admin/misc/lsup.sh -f -v 4.2.2' from command line.
  18. hkirste

    hkirste New Member

    It is still not working, i have ran the bash command as root first, it didn't work so i went to the panel and do a force reinstall.

    [​IMG]
  19. webizen

    webizen New Member

    my bad. will let you know.
  20. NiteWave

    NiteWave Administrator

    please force re-install 4.2.2, I tested the latest build(about 1 hour ago), the warning has gone.

Share This Page